<!--
$Header: /cvsroot/pgsql/doc/src/sgml/ref/drop_group.sgml,v 1.1 2000/01/14 22:11:32 petere Exp $
Postgres documentation
-->

<refentry id="SQL-DROPGROUP">
 <refmeta>
  <refentrytitle id="SQL-DROPGROUP-TITLE">
   DROP GROUP
  </refentrytitle>
  <refmiscinfo>SQL - Language Statements</refmiscinfo>
 </refmeta>
 <refnamediv>
  <refname>
   DROP GROUP
  </refname>
  <refpurpose>
   Removes a group
  </refpurpose>
 </refnamediv>
 <refsynopsisdiv>
  <refsynopsisdivinfo>
   <date>2000-01-14</date>
  </refsynopsisdivinfo>
  <synopsis>
DROP GROUP <replaceable class="PARAMETER">name</replaceable>
  </synopsis>
  
  <refsect2 id="R2-SQL-DROPGROUP-1">
   <refsect2info>
    <date>2000-01-14</date>
   </refsect2info>
   <title>
    Inputs
   </title>
   <para>

    <variablelist>
     <varlistentry>
      <term><replaceable class="PARAMETER">name</replaceable></term>
      <listitem>
       <para>
	The name of an existing group.
       </para>
      </listitem>
     </varlistentry>
    </variablelist>
   </para>
  </refsect2>
  
  <refsect2 id="R2-SQL-DROPGROUP-2">
   <refsect2info>
    <date>2000-01-14</date>
   </refsect2info>
   <title>
    Outputs
   </title>
   <para>
    <variablelist>
     <varlistentry>
      <term><computeroutput>DROP GROUP</computeroutput></term>
      <listitem>
       <para>
	The message returned if the group is successfully deleted.
       </para>
      </listitem>
     </varlistentry>

    </variablelist>
   </para>
  </refsect2>
 </refsynopsisdiv>

 <refsect1 id="R1-SQL-DROPGROUP-1">
  <refsect1info>
   <date>2000-01-14</date>
  </refsect1info>
  <title>
   Description
  </title>
  <para>
   <command>DROP GROUP</command> removes the specified group from the database.
   The users in the group are not deleted.
  </para>
  <para>
   Use <xref linkend="SQL-CREATEGROUP" endterm="SQL-CREATEGROUP-title">
   to add new groups, and <xref linkend="SQL-ALTERGROUP"
   endterm="SQL-ALTERGROUP-title"> to change a group's membership.
  </para>  
 </refsect1>

 <refsect1 id="R1-SQL-DROPGROUP-2">
  <title>
   Usage
  </title>
  <para>
   To drop a group:
<programlisting>
DROP GROUP staff;
</programlisting>
  </para>
 </refsect1>
 
 <refsect1 id="R1-SQL-DROPGROUP-3">
  <title>
   Compatibility
  </title>
  
  <refsect2 id="R2-SQL-DROPGROUP-4">
   <refsect2info>
    <date>2000-01-14</date>
   </refsect2info>
   <title>
    SQL92
   </title>
   <para>
    There is no <command>DROP GROUP</command> in <acronym>SQL92</acronym>.
   </para>
  </refsect2>
 </refsect1>
</refentry>

<!-- Keep this comment at the end of the file
Local variables:
mode: sgml
sgml-omittag:nil
sgml-shorttag:t
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
sgml-parent-document:nil
sgml-default-dtd-file:"../reference.ced"
sgml-exposed-tags:nil
sgml-local-catalogs:"/usr/lib/sgml/catalog"
sgml-local-ecat-files:nil
End:
-->
